# gnuplot 4.2 plot file
set multiplot

reset

set style line 30 lt rgb "#d3362b" lw 1
set style line 32 lt rgb "#2a4577" lw 1
set style line 34 lt rgb "#008a2e" lw 1


set encoding iso_8859_1
set logscale y
set xlabel 'frequency (FSR)'
set ylabel 'normalized power'
set grid
set mxtics 10
set mytics 10
set key center top
set xtics 0.1
set format y "10^{%T}"
set yrange [1e-5:1]
set xrange [-0.05:1.05]

set rmargin at screen 0.998
set tmargin at screen 0.98
set lmargin at screen 0.1111
set bmargin at screen 0.40

set arrow from 0.1564, 0.11 to 0.1564, 4e-2
set label "TEM_{01}" at 0.1564, 0.13 center

set arrow from 0.1564+0.5, 0.11 to 0.1564+0.5, 4e-2
set label "TEM_{10}" at 0.1564+0.5, 0.13 center

set arrow from 2*0.1564, 0.11 to 2*0.1564, 4e-2
set label "TEM_{20+02}" at 2*0.1564, 0.13 center

plot \
   'plot_scan.dat' using 1:2 title 'measurement' w l ls 30, \
   '' using 1:3 title 'fundamental mode fit' w l ls 34, \
   '' using 1:4 title 'fit' w l ls 32


reset

set style line 30 lt rgb "#d3362b" lw 1
set style line 32 lt rgb "#2a4577" lw 1
set style line 34 lt rgb "#008a2e" lw 1

set style line 40 lt rgb "#101010" lw 2

set xlabel "scan"
set ylabel "higher order mode power (%)"
set grid

set rmargin at screen 0.6
set tmargin at screen 0.31
set lmargin at screen 0.1111
set bmargin at screen 0.06

plot \
   'plot_param.dat' using 0:1 notitle w p ps 2, \
   13.1237387456 notitle w l ls 40


reset

set style line 30 lt rgb "#d3362b" lw 1
set style line 32 lt rgb "#2a4577" lw 1
set style line 34 lt rgb "#008a2e" lw 1

set xlabel "TEM_{lm} order"
set ylabel "relative power"
set format y "10^{%T}"
set logscale y
set mytics 10
set xtics 5
set mxtics 5
set grid
set pointsize 0.1
set bars 2

set rmargin at screen 0.998
set tmargin at screen 0.31
set lmargin at screen 0.7
set bmargin at screen 0.06

plot [0:11] [:]\
   'plot_modepower.dat' using ($1):($2==0?$3:sqrt(-1)):4 title "even l" w errorbars ls 30, \
   'plot_modepower.dat' using ($1):($2==1?$3:sqrt(-1)):4 title "odd l" w errorbars ls 32

unset multiplot
